%define rname RubyGems
%define	oname	rubygems
%define	name	ruby-%{rname}

%define	version	1.3.1
%define	release	%mkrel 1

Summary:	Ruby package manager
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Ruby
URL: 		http://docs.rubygems.org/
Source0:	%{oname}-%{version}.tgz
BuildArch:	noarch
BuildRequires:	ruby-devel
Requires:	ruby
Provides:	%{oname}
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.

%prep
%setup -q -n rubygems-%{version}

%install
rm -rf %buildroot
mkdir -p %buildroot%{ruby_gemdir}
ruby setup.rb --prefix=%buildroot/%_prefix
mkdir -p %buildroot%{ruby_sitelibdir}
mv %buildroot/%_prefix/lib/{*.rb,rubygems,rbconfig} %buildroot%{ruby_sitelibdir}

for f in `find %buildroot%{ruby_sitelibdir} -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README*
%attr(755,root,root) %{_bindir}/*
%{ruby_sitelibdir}/*
%{ruby_gemdir}



%changelog
* Sun Feb 01 2009 Funda Wang <fundawang@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 336112
- New version 1.3.1

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-2mdv2009.0
+ Revision: 225339
- rebuild

* Thu Feb 28 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 176209
- Update to 1.0.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.9.0-3mdv2008.0
+ Revision: 16663
- Use Development/Ruby group
- Use std macros


* Fri Aug 25 2006 Olivier Blin <blino@mandriva.com> 0.9.0-2mdv2007.0
- Patch1: fix ruby gems dir on x86_64 (and make the package really noarch)

* Fri Aug 25 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.0-1mdv2007.0
- 0.9.0

* Mon Jul 18 2005 Pascal Terjan <pterjan@mandriva.org> 0.8.11-1mdk
- First Mandriva version

